Skip to navigation

Search (Deprecated)

View as Markdown

This method is deprecated in API v2.1

Use Envelopes: listStatusChanges instead.

Retrieves a list of items that match the criteria specified in the query.

If the user ID of the user making the call is the same as the user ID for any returned recipient, then the userId property is added to the returned information for those recipients.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

searchFolderIdstringRequired

Specifies the envelope group that is searched by the request. These are logical groupings, not actual folder names. Valid values are: drafts, awaiting_my_signature, completed, out_for_signature.

Query parameters

allstringOptional
Specifies that all envelopes that match the criteria are returned.
countstringOptional

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Valid values: 1 to 100

from_datestringOptional
Specifies the start of the date range to return. If no value is provided, the default search is the previous 30 days.
include_recipientsstringOptional

When true, the recipient information is returned in the response.

orderstringOptional

Specifies the order in which the list is returned. Valid values are: asc for ascending order, and desc for descending order.

order_bystringOptional

Specifies the property used to sort the list. Valid values are: action_required, created, completed, sent, signer_list, status, or subject.

start_positionstringOptional

The zero-based index of the result from which to start returning results.

Use with count to limit the number of results.

The default value is 0.

to_datestringOptional
Specifies the end of the date range to return.

Response

Successful response.
endPositionstringOptional
The last index position in the result set.
folderItemslist of objectsOptional
A list of the envelopes in the specified folder or folders.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalRowsstringOptional
The total number of items in the result.

Errors

400
Bad Request Error